Confirm that an address wants a workspace's scheduled reports, or decline for good, by its confirmation's token
POST
/v1/shared/recipients/{token}
const url = 'https://example.com/v1/shared/recipients/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"confirm":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/shared/recipients/example \ --header 'Content-Type: application/json' \ --data '{ "confirm": true }'Who: anyone.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”token
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
confirm
required
boolean
Example generated
{ "confirm": true}Responses
Section titled “Responses”OK
Media typeapplication/json
object
status
required
string | null
workspace_name
required
string
Example
{ "status": "asked"}default
Section titled “default”An error, as go-commons apperr maps it
Media typeapplication/json
object
error
required
object
code
required
string
fields
object
key
additional properties
string
message
required
string
Example generated
{ "error": { "code": "example", "fields": { "additionalProperty": "example" }, "message": "example" }}